declare const _default: import('vue').DefineComponent<{
    isModal: {
        type: BooleanConstructor[];
        default: boolean;
    };
}, {
    visible: import("vue").Ref<boolean>;
    modalData: import("vue").Ref<{}>;
    timeLine: import("vue").Ref<never[]>;
}, any, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "register"[], "register", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    isModal: {
        type: BooleanConstructor[];
        default: boolean;
    };
}>> & {
    onRegister?: ((...args: any[]) => any) | undefined;
}, {
    isModal: boolean;
}, {}>;
export default _default;
